<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.estate.mapper.ServerUserMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="serverUserResultMap" type="org.springblade.estate.entity.ServerUser">
        <result column="id" property="id"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="create_time" property="createTime"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="name" property="name"/>
        <result column="sex" property="sex"/>
        <result column="residential_id" property="residentialId"/>
        <result column="face_url" property="faceUrl"/>
        <result column="agency_id" property="agencyId"/>
        <result column="type" property="type"/>
        <result column="tel" property="tel"/>
        <result column="id_card" property="idCard"/>
        <result column="remark" property="remark"/>
    </resultMap>


    <select id="selectServerUserPage" resultMap="serverUserResultMap">
        select * from estate_server_user where is_deleted = 0
    </select>

</mapper>
